$(document).ready(function() {
	
	/*
		Aleksey Skubaev

		askubaev@gmail.com
		icq - 322253350
		Разработка шаблонов для DLE и кроссбраузерная верстка
		------------------
		Необходимые jQuery скрипты.
	
	*/
	
	$('.left-menu h3').click(function(){
		$(this).next('.hidden-menu').slideToggle();
		$(this).toggleClass('left-menu2');
	});
	
	$('.top-menu-block li').hover(
		function() {
		$(this).find('.hidden-menu-block').css({'display':'block'});
		$(this).find('.menu-link').addClass('activ');
	}, function() {
		$(this).find('.hidden-menu-block').css({'display':'none'});
		$(this).find('.menu-link').removeClass('activ');
	});
	
	
	$('.menu-block li').hover(
		function() {
		$(this).find('.hidden-menu-block1').css({'display':'block'});
		$(this).find('.menu-link1').addClass('activ');
	}, function() {
		$(this).find('.hidden-menu-block1').css({'display':'none'});
		$(this).find('.menu-link1').removeClass('activ');
	});
	
	
	$(function() {

			$('#carousel ul').carouFredSel({
				prev: '#prev',
				next: '#next',
				pagination: "#pager",
				auto: true,
				scroll: 3000,
				pauseOnHover: true
			});

		});
	
	$('.up').click(function(){
		$('body,html').animate({
                scrollTop: 0
            }, 1000);
	});
	
	
	$('.tt-tabs').ttabs();
	
	
	/*********************************************/
	var sliderTime = 8000;//скорость слайдера
	
	$('.slaider-block-all:first').addClass('slaider-activ').find('.slaider-block-news').fadeIn();
	
	function showSliderItem() {
		clearTimeout(timerId);
		var currentBlock = $('.slaider-activ');
		var nextBlock = currentBlock.next('.slaider-block-all').length ? currentBlock.next('.slaider-block-all') : $('.slaider-block-all:first');
	
		currentBlock.find('.slaider-block-news').fadeOut();
		$('.slaider-block-all').removeClass('slaider-activ');
		nextBlock.addClass('slaider-activ').find('.slaider-block-news').fadeIn();
		
		nextBlock.addClass('slaider-activ').fadeIn(800, function () {
			timerId = setTimeout(showSliderItem, sliderTime);
			});
			return false;
			
	}
	
	function showCurrent() {
		clearTimeout(timerId);
		$('.slaider-block-all').removeClass('slaider-activ');
		$('.slaider-block-news').fadeOut();
		
		$(this).parent().addClass('slaider-activ').find('.slaider-block-news').fadeIn();
		
		timerId = setTimeout(showSliderItem, sliderTime);
	}
	
	$('.slaider-block-news-mini').click(showCurrent);
	
	timerId = setTimeout(showSliderItem, sliderTime);
	
	
});
